/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  MONitoring ManaGeMenT (MONMGMT)
*
* @FILE     monitor_prcon.h
*
* @ABSTRACT
* Apache MONMGMT module PRivate CONstants definitions
*
* @INCLUDE

#ifndef _MON_PRCON_H_
#define _MON_PRCON_H_

#define MAXLINE 4096

enum { UNDEF  = -1
     , GREEN  = 0
     , YELLOW = 1
     , RED    = 2
     , PURPLE = 3
     };

enum { RR       = 1
     , ASYNC
     , HTTP
     , HTTPS
     , APP
     , QUE
     , USR
     , NS50
     };

#define MON_PARSER "ccn_MonitorParse"

#define MON_TASK_RR       "rr"
#define MON_TASK_ASYNC    "async"
#define MON_TASK_HTTP     "http"
#define MON_TASK_HTTPS    "https"
#define MON_TASK_APP      "app"
#define MON_TASK_USR      "usr"
#define MON_TASK_QUE      "que"
#define MON_TASK_NS50     "fwl"

#endif /* _MON_PRCON_H_ */
